## ubuntu-recovery 0.4.9~18.04.1timbuktu11

=== po/Makefile ===

DOMAIN=ubuntu-recovery
CONTACT='commercial-engineering@canonical.com'
PO_FILES := $(wildcard *.po)

all: update-po

top_srcdir=../

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -r -g $(DOMAIN);

# create mo from the POs
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo

# dummy target
update-po: $(DOMAIN).pot $(patsubst %.po,%.mo,$(wildcard *.po))

clean:
	rm -rf mo

=== debian/po/Makefile ===

DOMAIN=ubuntu-recovery
CONTACT='commercial-engineering@canonical.com'
PO_FILES := $(wildcard *.po)

all: update-po

top_srcdir=../../

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -r -g $(DOMAIN);

# create mo from the POs
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo

# dummy target
update-po: $(DOMAIN).pot $(patsubst %.po,%.mo,$(wildcard *.po))

clean:
	rm -rf mo

## ubuntu-recovery 0.1.18

=== debian/changelog ===
ubuntu-recovery (0.1.18) maverick; urgency=low

  * ubi-recovery-prep.py: Run dorecovery.sh at background
  * dorecovery.sh: Change execution order 

 -- Cyrus Lien <cyrus.lien@canonical.com>  Thu, 31 Mar 2011 01:21:16 +0800

ubuntu-recovery (0.1.17) maverick; urgency=low

  * bin/dorecovery.sh: Detect/set activate flag and change /etc/acpi/powerbtn.sh
  * bin/powerbtn.sh: Set activate flag and install-mbr when press power button

 -- Cyrus Lien <cyrus.lien@canonical.com>  Wed, 30 Mar 2011 19:56:57 +0800

ubuntu-recovery (0.1.16) maverick; urgency=low

  * Execute poweroff on click quit button in warning dialog (lp: 737292)
  * Change hidden partition size to 2G
  * Change /tmp/expert_recipe file partition order (root partition sda3, swap partition sda2) (lp: 740669)

 -- Cyrus Lien <cyrus.lien@canonical.com>  Thu, 24 Mar 2011 21:44:20 +0800

ubuntu-recovery (0.1.15) maverick; urgency=low

  * don't use syslinux mbr before formate root partition.

 -- Hsin-Yi Chen (hychen) <hychen@canonical.com>  Thu, 17 Mar 2011 08:29:34 +0800

ubuntu-recovery (0.1.14.1) maverick; urgency=low

  * branch to maverick

 -- Hsin-Yi Chen (hychen) <hychen@canonical.com>  Wed, 16 Mar 2011 22:13:30 +0800

ubuntu-recovery (0.1.14) natty; urgency=low

  * remove partition type number.
  * don't change recovery partition type id
  * fix can not set bootable, primary in patman recipe
  * make hidden partition is not bootable by default

 -- Hsin-Yi Chen (hychen) <hychen@canonical.com>  Tue, 15 Mar 2011 18:28:21 +0800

ubuntu-recovery (0.1.13) maverick; urgency=low

  * fixed installation hangs in chanaging partition type

 -- Hsin-Yi Chen (hychen) <hychen@canonical.com>  Wed, 12 Jan 2011 11:02:38 +0800

ubuntu-recovery (0.1.12) maverick; urgency=low

  * no change to uploaded

 -- Hsin-Yi Chen (hychen) <hychen@canonical.com>  Thu, 06 Jan 2011 13:48:35 +0800

ubuntu-recovery (0.1.11) maverick; urgency=low

  * fixes the installed-twice-on-same-system scenario

 -- Hsin-Yi Chen (hychen) <hychen@canonical.com>  Wed, 05 Jan 2011 19:17:10 +0800

ubuntu-recovery (0.1.10) maverick; urgency=low

  * don't use in oem-config

 -- Hsin-Yi Chen (hychen) <hychen@canonical.com>  Thu, 09 Dec 2010 14:21:59 +0800

ubuntu-recovery (0.1.9) maverick; urgency=low

  * used partman-auto/expert_recipe_file instead partman-auto/expert_recipe
  * updated zh_TW po file

 -- Hsin-Yi Chen (Tyson) <tyson.chen@canonical.com>  Tue, 23 Nov 2010 11:21:40 +0800

ubuntu-recovery (0.1.8) maverick; urgency=low

  * remove py-central

 -- Hsin-Yi Chen (Tyson) <tyson.chen@canonical.com>  Mon, 22 Nov 2010 10:40:22 +0800

ubuntu-recovery (0.1.7) maverick; urgency=low

  * no change to upload to maverick

 -- Hsin-Yi Chen (Tyson) <tyson.chen@canonical.com>  Mon, 22 Nov 2010 09:52:07 +0800

ubuntu-recovery (0.1.6) lucid; urgency=low

  * no change to reupload

 -- Hsin-Yi Chen (Tyson) <tyson.chen@canonical.com>  Fri, 19 Nov 2010 17:26:47 +0800

ubuntu-recovery (0.1.5) lucid; urgency=low

  * fix the machine can not boot if poweroff when doing recovery

 -- Hsin-Yi Chen (Tyson) <tyson.chen@canonical.com>  Fri, 19 Nov 2010 10:51:59 +0800

ubuntu-recovery (0.1.4) lucid; urgency=low

  * add i18n support
  * add zh_TW po file
  * generate recovery preseed
  * hide recovery partition in File Manager

 -- Hsin-Yi Chen (Tyson) <tyson.chen@canonical.com>  Wed, 17 Nov 2010 17:26:26 +0800

ubuntu-recovery (0.1.3) lucid; urgency=low

  * rebuild

 -- Hsin-Yi Chen (hychen) <ossug.hychen@gmail.com>  Wed, 17 Nov 2010 14:07:42 +0800

ubuntu-recovery (0.1.2) lucid; urgency=low

  * for lucid

 -- Hsin-Yi Chen (hychen) <ossug.hychen@gmail.com>  Wed, 17 Nov 2010 10:27:32 +0800

ubuntu-recovery (0.1.1) lucid; urgency=low

  * Fix /dev/sda1 will be formate when do recovery

 -- Hsin-Yi Chen (hychen) <ossug.hychen@gmail.com>  Tue, 16 Nov 2010 20:15:52 +0800

ubuntu-recovery (0.1) lucid; urgency=low

  * Initial Release.

 -- Hsin-Yi Chen (Tyson) <tyson.chen@canonical.com>  Thu, 19 Aug 2010 23:41:51 +0800

=== debian/control ===
Source: ubuntu-recovery
Section: utils
Priority: extra
Maintainer: Canonical OEM Services <oem-services@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), python-distutils-extra, po-debconf
XS-Python-Version: current
Standards-Version: 3.9.1

Package: ubuntu-recovery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-parted, gettext, mbr
XB-Python-Version: ${python:Versions}
Description: OEM general recovery tool
 OEM recovery ubiquity plugin

## ubuntu-recovery 0.4.9~18.04.1timbuktu4

=== debian/changelog ===
ubuntu-recovery (0.4.9~18.04.1timbuktu4) bionic; urgency=medium

  * Check the PARTLABEL in recovery partition if Recovery Media Creator can't
    match the label in debconf and the LABEL in recovery partition  (LP: #1807063) 

 -- hugh chao <hugh.chao@canonical.com>  Tue, 18 Dec 2018 22:23:04 +0800

ubuntu-recovery (0.4.9~18.04.1timbuktu3) bionic; urgency=medium

  * Re-enable MDRAID feature

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Tue, 13 Nov 2018 19:37:22 +0800

ubuntu-recovery (0.4.9~18.04.1timbuktu2) bionic; urgency=medium

  * Revert MDRAID support

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Fri, 26 Oct 2018 16:38:25 +0800

ubuntu-recovery (0.4.9~18.04.1timbuktu1) bionic; urgency=medium

  * Support MDRAID

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Thu, 25 Oct 2018 18:34:30 +0800

ubuntu-recovery (0.4.9~18.04timbuktu8) bionic; urgency=medium

  * Bump version to 0.4.9~18.04timbuktu8

 -- Woodrow Shen (Shye-Tzeng Shen) <woodrow.shen@canonical.com>  Thu, 23 Aug 2018 15:30:34 +0800

ubuntu-recovery (0.4.9~18.04timbuktu7) bionic; urgency=medium

  * Add timeout when updating repositories (LP: #1766533)

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Tue, 29 May 2018 08:07:46 +0000

ubuntu-recovery (0.4.9~18.04timbuktu6) bionic; urgency=medium

  * Allow insecure local repositories at installation (LP: #1760048)

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Mon, 23 Apr 2018 20:55:07 +0800

ubuntu-recovery (0.4.9~18.04timbuktu5) bionic; urgency=medium

  * Set cap-ram to false (LP: #1764226)

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Fri, 20 Apr 2018 18:12:33 +0800

ubuntu-recovery (0.4.9~18.04timbuktu4) bionic; urgency=medium

  * Reboot the system before first login. (LP: #1763259)

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Thu, 12 Apr 2018 15:32:19 +0800

ubuntu-recovery (0.4.9~18.04timbuktu3) bionic; urgency=medium

  * Fix dependency.

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Mon, 09 Apr 2018 15:46:24 +0800

ubuntu-recovery (0.4.9~18.04timbuktu2) bionic; urgency=medium

  * Fix pyflake warnings.

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Mon, 09 Apr 2018 08:08:07 +0800

ubuntu-recovery (0.4.9~18.04timbuktu1) bionic; urgency=medium

  * Build for bionic.
  * Add mmc and nvme support for EFI mode.
  * Use ubuntu-drivers to install hardware-dependent packages

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Mon, 26 Mar 2018 16:30:08 +0800

ubuntu-recovery (0.4.8) xenial; urgency=medium

  * Improve emergency scripts support.

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Fri, 24 Nov 2017 14:00:08 +0800

ubuntu-recovery (0.4.7) xenial; urgency=medium

  * The latest usb-creator-gtk(0.3.2) don't support '-n' parameter.
    (LP: #1672631)

 -- Bin Li <bin.li@canonical.com>  Tue, 14 Mar 2017 16:02:32 +0800

ubuntu-recovery (0.4.6) xenial; urgency=medium

  * Move ubuntu-recovery-shell to independent
    new package.

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Wed, 27 Jul 2016 11:40:10 +0800

ubuntu-recovery (0.4.5) xenial; urgency=medium

  * Record installed package at the last of ubiquity
    success commands

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Wed, 06 Jul 2016 17:55:57 +0800

ubuntu-recovery (0.4.4) xenial; urgency=medium

  * Modify ubuntu-recovery-shell to support systemd
    template feature to allow create different instances
  * Start ubuntu-recovery-shell on vt2 and vt3.
  * Convert recovery.iso to hybrid iso to support new
    usb-creator-gtk create USB key. (LP: #1591943)

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Wed, 01 Jun 2016 15:35:13 +0800

ubuntu-recovery (0.4.3) xenial; urgency=medium

  * Add ubuntu-recovery-tasks to run tasks before
    ubiquity starts.
    - It will executes /usr/share/ubuntu/scripts/ubiquity.d/early
      and pass 'ubuntu-bootstrap-stage' or 'ubiquity-stage' as
      parameter to identify the current running stage.
  * Add ubuntu-recovery-shell to enable shell terminal
    in VT2 (LP: #1551507).

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Wed, 01 Jun 2016 14:18:29 +0800

ubuntu-recovery (0.4.2) xenial; urgency=medium

  * Run 'udevadm settle' command to replace partprobe
    (LP: #1583015).

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Tue, 31 May 2016 18:35:14 +0800

ubuntu-recovery (0.4.1) xenial; urgency=medium

  * Run partprobe command to wait the parted event
    complete. (LP: #1583015)
  * Fix cannot create USB recovery media issue.
    (LP: #1585135)
  * Run ubuntu-bootstrap before language page to
    fix regression issue.
  * Update preseed file

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Wed, 18 May 2016 15:35:08 +0800

ubuntu-recovery (0.4.0) xenial; urgency=medium

  * Check UEFI setting before recovery the boot sector (LP: #1458789)
  * Use grub_platform to check if platform runs under UEFI or Legacy mode
  * Add ubuntu-recovery/interactive_recovery option to enable/disable
    'Restore only Ubuntu partition' option. (LP: #1371038).
    Since the fearture is still in develop, it is disabled by default.
  * Rewrite 96-ubuntu-recovery-partition.rules, use UDISKS_IGNORE=1
    to replace previous methods
  * Add pop-up messagebox to remind users remove
    USB/DVD media to continue installation. (LP: #1278744)
  * Add ubuntu-recovery/prompt_remove_media debconf control
    for enable/disable the pop-up messagebox
  * Find mbr.bin in /usr/lib/syslinux in case syslinux
    change its directory structure
  * Execute ubuntu-recovery-command in SUCCESS/FAILURE script.

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Thu, 07 Apr 2016 17:14:09 +0800

ubuntu-recovery (0.3.100kittyhawk32) trusty; urgency=medium

  * Fix the broken mechanism to install external packages.

 -- Bin Li <bin.li@canonical.com>  Thu, 08 Oct 2015 16:39:35 +0800



=== debian/control ===
Source: ubuntu-recovery
Section: utils
Priority: optional
Maintainer: Canonical OEM Services <oem-services@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), python3-all, python3-distutils-extra, po-debconf, pyflakes, dh-systemd
Vcs-Bzr: https://code.launchpad.net/~ubuntu-recovery-team/ubuntu-recovery/develop
Standards-Version: 3.9.7

Package: ubuntu-recovery
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, gir1.2-gtk-3.0, policykit-1, uuid-runtime, udisks2,
         policykit-1-gnome, genisoimage, dpkg-repack, python-gobject (>= 2.28),
         python3-debian, gdisk, dosfstools, syslinux-utils,
         python3-distutils,
Recommends: usb-creator-gtk, brasero | nautilus-cd-burner, lsb-release, python-vte, parted,
            python3-aptdaemon.gtk3widgets, python3-progressbar, grub-pc-bin, grub-efi-amd64-bin,
            mdadm (>= 4.1~rc1-3~ubuntu18.04.1)
Enhances: oem-config-gtk, ubiquity-frontend-gtk
Suggests: grub-pc
Description: Ubuntu Recovery Media Creation Package
 This package is used to produce a Ubuntu recovery media image.
 It then uses known open source tools to write the image to
 a USB flash drive or DVD writer.

Package: ubuntu-recovery-casper
Architecture: all
Depends: ubuntu-recovery, casper, ${misc:Depends}
Recommends: ubiquity
Description: Ubuntu Recovery Casper Hooks
 This package provides hooks to allow the ubuntu-recovery
 bootstrap to run directly from casper without any other
 modifications to the media.

Package: ubuntu-recovery-bootloader
Architecture: all
Depends: ubuntu-recovery, ubiquity, ${misc:Depends}
Description: Bootloader images for Ubuntu's factory process
 This package is used to generate GRUB2 bootable images that are
 injected into the Ubuntu Linux factory installation process.
 .
 This package doesn't have much use outside of the Ubuntu environment
 but is safe to install on other systems.

## ubuntu-recovery 0.4.9~18.04.1timbuktu11

=== debian/changelog ===
ubuntu-recovery (0.4.9~18.04.1timbuktu11) bionic; urgency=medium

  * Re-name shimx64.efi to bootx64.efi when generating recovery iso (LP: #1841529) 

 -- hugh chao <hugh.chao@canonical.com>  Wed, 28 Aug 2019 13:09:39 +0800

ubuntu-recovery (0.4.9~18.04.1timbuktu10) bionic; urgency=medium

  * Add Full Disk Encryption support 

 -- hugh chao <hugh.chao@canonical.com>  Mon, 12 Aug 2019 10:29:36 +0800

ubuntu-recovery (0.4.9~18.04.1timbuktu9) bionic; urgency=medium

  * bind mount /proc within chroot for installing dkms provided by HWE

 -- Jeremy Su <jeremy.sz@canonical.com>  Fri, 14 May 2019 12:57:53 +0800

ubuntu-recovery (0.4.9~18.04.1timbuktu8) bionic; urgency=medium

  * Fix boot from recovery randomly through reboot command

 -- Jeremy Su <jeremy.sz@canonical.com>  Wed, 15 May 2019 14:27:53 +0800

ubuntu-recovery (0.4.9~18.04.1timbuktu7) bionic; urgency=medium

  * Correct boot partition to 1 from 2

 -- Jeremy Su <jeremy.sz@canonical.com>  Fri, 26 Apr 2019 17:12:53 +0800

ubuntu-recovery (0.4.9~18.04.1timbuktu6) bionic; urgency=medium

  * Add shimx64.efi for secure boot
  * Depends mokutil for grub-efi-amd64-signed

 -- Jeremy Su <jeremy.sz@canonical.com>  Mon, 18 Mar 2019 15:24:53 +0800

ubuntu-recovery (0.4.9~18.04.1timbuktu5) bionic; urgency=medium

  * Correct ubuntu recovery failure with dual drives system (LP: #1807835)

 -- Jeremy Su <jeremy.sz@canonical.com>  Fri, 11 Jan 2019 10:46:53 +0800

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
 Depends: ${python3:Depends}, ${misc:Depends}, gir1.2-gtk-3.0, policykit-1, uuid-runtime, udisks2,
          policykit-1-gnome, genisoimage, dpkg-repack, python-gobject (>= 2.28),
          python3-debian, gdisk, dosfstools, syslinux-utils,
-         python3-distutils,
+         python3-distutils, mokutil
 Recommends: usb-creator-gtk, brasero | nautilus-cd-burner, lsb-release, python-vte, parted,
             python3-aptdaemon.gtk3widgets, python3-progressbar, grub-pc-bin, grub-efi-amd64-bin,
-            mdadm (>= 4.1~rc1-3~ubuntu18.04.1)
+            mdadm (>= 4.1~rc1-3~ubuntu18.04.1), cryptsetup, lvm2
 Enhances: oem-config-gtk, ubiquity-frontend-gtk
 Suggests: grub-pc
 Description: Ubuntu Recovery Media Creation Package

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils --with=python3,systemd

override_dh_auto_build:
	# Sanity-check before upload.
	find -name debian -prune -o -name \*.py -print | xargs py3compile
	find -type f \( -name \*.pyc -o -name \*.pyo \) -print0 | xargs -0r rm -f
	# Check the syntax of any shell scripts.
	set -e; for x in $$(find -type f -print0 | xargs -0 file -i | grep "text/x-shellscript" | cut -d':' -f1); do \
			sh -n $$x; \
	done
	# Check the syntax of any Python scripts.
	./tests/run-pyflakes
	./setup.py build
	#dh_auto_build

override_dh_auto_clean:
	./setup.py clean
	#dh_clean --with=python3
	cd $(CURDIR)/po; make clean

override_dh_auto_install:
	find * -name __pycache__ | xargs rm -rf
	./setup.py install --force \
		--root=debian/tmp --no-compile -O0 --install-layout=deb

override_dh_systemd_enable:
	dh_systemd_enable --name=ubuntu-recovery-tasks

## ubuntu-recovery 0.4.9~22.04jiayi3

=== debian/changelog ===
ubuntu-recovery (0.4.9~22.04jiayi3) jammy; urgency=medium

  * Increase required USB size from 2GB to 8GB. (LP: #1966425)

 -- Jeremy Szu <jeremy.szu@canonical.com>  Thu, 12 May 2022 15:47:10 +0000

ubuntu-recovery (0.4.9~22.04jiayi2dev8) jammy; urgency=medium

  * Set rectype=hdd so that there will be confirm dialog before
    recovey when we boot from recovery partition. (LP: #1969168)
  * Properly create local archive and reltaed flag. (LP: #1969171)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Fri, 15 Apr 2022 10:16:18 +0800

ubuntu-recovery (0.4.9~22.04jiayi2dev7) jammy; urgency=medium

  * Correct the preseed condition.

 -- Jeremy Szu <jeremy.szu@canonical.com>  Fri, 25 Mar 2022 02:47:22 +0000

ubuntu-recovery (0.4.9~22.04jiayi2dev6) jammy; urgency=medium

  * Correct preseed to bool type.

 -- Jeremy Szu <jeremy.szu@canonical.com>  Thu, 24 Mar 2022 12:51:55 +0000

ubuntu-recovery (0.4.9~22.04jiayi2dev5) jammy; urgency=medium

  * Preseed ubiquity nonfree and download_updates to make phase-2 runs
    smoothly.

 -- Jeremy Szu <jeremy.szu@canonical.com>  Thu, 24 Mar 2022 05:01:05 +0000

ubuntu-recovery (0.4.9~22.04jiayi2dev4) jammy; urgency=medium

  * Fix missed import.

 -- Jeremy Szu <jeremy.szu@canonical.com>  Wed, 23 Mar 2022 13:06:16 +0000

ubuntu-recovery (0.4.9~22.04jiayi2dev3) jammy; urgency=medium

  * Reduce the compressed binary based on the discussion on
  https://lists.ubuntu.com/archives/ubuntu-devel/2021-December/041726.html
  * collections.Callable is removed since Python 3.10.
  540ce30c58d952c5b4cfc98c24dae49a5002120e
  https://docs.python.org/3/whatsnew/3.10.html#removed

 -- Jeremy Szu <jeremy.szu@canonical.com>  Wed, 23 Mar 2022 07:16:23 +0000

ubuntu-recovery (0.4.9~22.04jiayi2dev2) jammy; urgency=medium

  * Fix compress method changes to zstd.

 -- Jeremy Szu <jeremy.szu@canonical.com>  Tue, 22 Mar 2022 09:34:41 +0000

ubuntu-recovery (0.4.9~22.04jiayi2dev1) jammy; urgency=medium

  * Remove universe packages to check.

 -- Jeremy Szu <jeremy.szu@canonical.com>  Fri, 18 Mar 2022 06:40:15 +0000

ubuntu-recovery (0.4.9~22.04jiayi2) jammy; urgency=medium

  * Depends pyflakes3 to prevent builddep not install Recommended.

 -- Jeremy Szu <jeremy.szu@canonical.com>  Sat, 12 Mar 2022 03:02:43 +0000

ubuntu-recovery (0.4.9~22.04jiayi1) jammy; urgency=medium

  * Initial release.
  * Adjust some packages which are not in Jammy anymore but needed from focal.
  * Fix python script warning.

 -- Jeremy Szu <jeremy.szu@canonical.com>  Fri, 11 Mar 2022 13:37:04 +0000

ubuntu-recovery (0.4.9~20.04ouagadougou21) unstable; urgency=medium

  [ Bin Li ]
  * Let anti-failure support nvme. (LP: #1505542)
  * Disable the frontend and remove deprecated force-yes. (LP: #1893633)
  * Use another way to not remove 'Rescue and Recovery'. (LP: #1894185)
  [ Shengyao Xue ]
  * Bypass the create media step for automatic install.

  [ Jeremy Szu ]
  * Add a new recovery mode 'dev' (developmeny) for auto recovery system.
  * Backport Stella/Sutton changes back for devloping Jammy.

 -- Shengyao Xue <shengyao.xue@canonical.com>  Fri, 28 May 2021 11:31:11 +0800

ubuntu-recovery (0.4.9~20.04ouagadougou20) focal; urgency=medium

  * When create efi boot entry in phase 1, specifically define in second partition (LP: #1875793) 

 -- hugh chao <hugh.chao@canonical.com>  Thu, 30 Apr 2020 15:15:32 +0800

ubuntu-recovery (0.4.9~20.04ouagadougou19) focal; urgency=medium

  * Fixed is_not warning.(LP: #1872661)

 -- Bin Li <bin.li@canonical.com>  Wed, 15 Apr 2020 20:04:22 +0800

ubuntu-recovery (0.4.9~20.04ouagadougou18) focal; urgency=medium

  * At phase2 don't use nouveau. (LP: #1872653)

 -- Bin Li <bin.li@canonical.com>  Tue, 14 Apr 2020 18:21:33 +0800

ubuntu-recovery (0.4.9~20.04ouagadougou17) focal; urgency=medium

  * Change the name of initramfs to initrd in single user mode.(LP: #1870379)
  * Change shell to bash in generate-recovery-iso. 
  * Have the syntax correct according to shellcheck.
  * Disable aufs temporarily due to upstream doesn't accept it, and one day 
    we will drop it, but the drawback for currently workaround will need the
    size of memory equeal to the RP size.
  * Sync the method to regenerate uudi in create_new_uuid.

 -- hugh chao <hugh.chao@canonical.com>  Sun, 05 Apr 2020 19:21:12 +0800

ubuntu-recovery (0.4.9~20.04ouagadougou16) focal; urgency=medium

  * Change logging to print in recovery_common.py.
  * Remove original initramfs before creating new one due to it's append mode.

 -- hugh chao <hugh.chao@canonical.com>  Sun, 05 Apr 2020 17:10:16 +0800

ubuntu-recovery (0.4.9~20.04ouagadougou15) focal; urgency=medium

  * Import logging in recovery_common.py  

 -- hugh chao <hugh.chao@canonical.com>  Sun, 05 Apr 2020 12:04:31 +0800

ubuntu-recovery (0.4.9~20.04ouagadougou14) focal; urgency=medium

  * change pybuild back to python_distutils 

 -- hugh chao <hugh.chao@canonical.com>  Sat, 04 Apr 2020 21:39:47 +0800

ubuntu-recovery (0.4.9~20.04ouagadougou13) focal; urgency=medium

  * Fix a typo

 -- hugh chao <hugh.chao@canonical.com>  Sat, 04 Apr 2020 20:17:15 +0800

ubuntu-recovery (0.4.9~20.04ouagadougou12) focal; urgency=medium

  * Sync create_new_uuid from dell recovery. (LP: #1870379)
    - Make bootstrap as mandatory building in.
    - Use unmkinitramfs instead of the old extraction methond.
    - Use the system default configuration (initramfs.conf) to compress new initramfs.

 -- hugh chao <hugh.chao@canonical.com>  Sat, 04 Apr 2020 19:39:55 +0800

ubuntu-recovery (0.4.9~20.04ouagadougou11) focal; urgency=medium

  * Change the name of initramfs to initrd (LP: #1870379)

 -- hugh chao <hugh.chao@canonical.com>  Sat, 04 Apr 2020 14:21:02 +0800

ubuntu-recovery (0.4.9~20.04ouagadougou10) focal; urgency=medium

  * Cleanup 'partman/choose_partition' to fix the crash issue when custom
    partitioning is selected from customize installation (LP: #1866770).

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Wed, 11 Mar 2020 23:41:42 -0400



=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: ubuntu-recovery
 Section: utils
 Priority: optional
-Maintainer: Canonical OEM Services <oem-services@canonical.com>
-Build-Depends: debhelper (>= 7.0.50~), python3-all, python3-distutils-extra, po-debconf, pyflakes, dh-systemd
+Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
+Build-Depends: debhelper (>= 11), python3-all, python3-distutils-extra, po-debconf, pyflakes3, dh-python
+Vcs-Git: https://code.launchpad.net/~oem-solutions-group/ouagadougou/+git/ubuntu-recovery
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-recovery-team/ubuntu-recovery/develop
 Standards-Version: 3.9.7
 
 Package: ubuntu-recovery
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, gir1.2-gtk-3.0, policykit-1, uuid-runtime, udisks2,
-         policykit-1-gnome, genisoimage, dpkg-repack, python-gobject (>= 2.28),
-         python3-debian, gdisk, dosfstools, syslinux-utils,
+         genisoimage, dpkg-repack, python3-gi,
+         python3-debian, gdisk, dosfstools,
          python3-distutils, mokutil
-Recommends: usb-creator-gtk, brasero | nautilus-cd-burner, lsb-release, python-vte, parted,
-            python3-aptdaemon.gtk3widgets, python3-progressbar, grub-pc-bin, grub-efi-amd64-bin,
+Recommends: usb-creator-gtk, lsb-release, parted,
+            python3-aptdaemon.gtk3widgets, grub-pc-bin, grub-efi-amd64-bin,
             mdadm (>= 4.1~rc1-3~ubuntu18.04.1), cryptsetup, lvm2
 Enhances: oem-config-gtk, ubiquity-frontend-gtk
 Suggests: grub-pc

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --buildsystem=python_distutils --with=python3,systemd
+	dh $@ --buildsystem=python_distutils --with=python3
 
 override_dh_auto_build:
 	# Sanity-check before upload.
@@ -19,6 +19,7 @@
 override_dh_auto_clean:
 	./setup.py clean
 	#dh_clean --with=python3
+	debconf-updatepo
 	cd $(CURDIR)/po; make clean
 
 override_dh_auto_install:
@@ -26,5 +27,5 @@
 	./setup.py install --force \
 		--root=debian/tmp --no-compile -O0 --install-layout=deb
 
-override_dh_systemd_enable:
-	dh_systemd_enable --name=ubuntu-recovery-tasks
+override_dh_installsystemd:
+	dh_installsystemd --name=ubuntu-recovery-tasks

## ubuntu-recovery 0.4.9~22.04jiayi7

=== debian/changelog ===
ubuntu-recovery (0.4.9~22.04jiayi7) jammy; urgency=medium

  * Move xorriso to recommend cause it is in universe.

 -- Bin Li <bin.li@canonical.com>  Mon, 12 Sep 2022 15:25:28 +0800

ubuntu-recovery (0.4.9~22.04jiayi6) jammy; urgency=medium

  * Missing python3-distutils.
  * Depends on xorriso cause it won't be installed.

 -- Bin Li <bin.li@canonical.com>  Sat, 10 Sep 2022 00:13:32 +0800

ubuntu-recovery (0.4.9~22.04jiayi5) jammy; urgency=medium

  * Correct some deprecated GI imports.
  * Increase the debugging logging covereage on the backend.
  * Use subprocess.run replace subprocess.call for serveal files to solve
    the high risk of blackduck scanning recovery code.
  * Support the zstd compression format.
  * Increase debugging logging for uuid writer.
  * Only pass unicode=True to gettext.install in Python 2.
  * Follow cd-boot-images-amd64/xorriso-cmd.txt to build the ISO image.

 -- Bin Li <bin.li@canonical.com>  Wed, 31 Aug 2022 12:45:32 +0800

ubuntu-recovery (0.4.9~22.04jiayi4) jammy; urgency=medium

  * Fix the execution problem on Ubuntu 22.04.
  * Remove the ubuntu-recovery/recovery_media preseed variable. (LP: #1979404)

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Thu, 23 Jun 2022 09:30:29 +0800

=== debian/control ===
Source: ubuntu-recovery
Section: utils
Priority: optional
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3,
               python3-distutils-extra,
               po-debconf,
               pyflakes3,
               lsb-release,
               gnu-efi (>= 3.0.2)
X-Python3-Version: >= 3.6
Vcs-Git: https://code.launchpad.net/~oem-solutions-engineers/pc-enablement/+git/ubuntu-recovery
Standards-Version: 4.4.0

Package: ubuntu-recovery
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         dpkg-repack,
         gir1.2-gtk-3.0,
         gir1.2-udisks-2.0,
         lzma | xz-utils (>= 5.1.1alpha+20120614-1) | xz-lzma,
         policykit-1,
         python3-apt,
         python3-dbus,
         python3-debian,
         python3-distutils,
         python3-gi,
         udisks2,
         uuid-runtime,
Recommends: cd-boot-images-amd64,
            cryptsetup,
            lsb-release,
            lvm2,
            mokutil,
            mdadm (>= 4.1~rc1-3~ubuntu18.04.1),
            parted,
            usb-creator-gtk,
            xorriso,
Enhances: oem-config-gtk, ubiquity-frontend-gtk
Suggests: grub-pc
Description: Ubuntu Recovery Media Creation Package
 This package is used to produce a Ubuntu recovery media image.
 It then uses known open source tools to write the image to
 a USB flash drive or DVD writer.

Package: ubuntu-recovery-casper
Architecture: all
Depends: ubuntu-recovery, casper, ${misc:Depends}
Recommends: ubiquity
Description: Ubuntu Recovery Casper Hooks
 This package provides hooks to allow the ubuntu-recovery
 bootstrap to run directly from casper without any other
 modifications to the media.

Package: ubuntu-recovery-bootloader
Architecture: all
Depends: ubuntu-recovery, ubiquity, ${misc:Depends}
Recommends: grub-efi-amd64-bin
Description: Bootloader configuration for Ubuntu's factory process
 This package is used to generate GRUB2 configuration that is
 used in the Ubuntu Linux factory installation process.
 .
 This package doesn't have much use outside of the Ubuntu environment
 but is safe to install on other systems.

## ubuntu-recovery 0.4.9~22.04jiayi8

=== debian/changelog ===
ubuntu-recovery (0.4.9~22.04jiayi8) jammy; urgency=medium

  * Add brasero in universe.

 -- Bin Li <bin.li@canonical.com>  Tue, 13 Sep 2022 12:48:33 +0800

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,8 @@
          python3-gi,
          udisks2,
          uuid-runtime,
-Recommends: cd-boot-images-amd64,
+Recommends: brasero,
+            cd-boot-images-amd64,
             cryptsetup,
             lsb-release,
             lvm2,
